meeboQualityPlots {arrayQuality} | R Documentation

## Qualitative diagnostic plot for general hybridization, specific to MEEBO set.

### Description

This function generates diagnostic plots for a qualitative assessment of slide quality.

### Usage

    meeboQualityPlots(mrawObj, headerInfo = "", save = TRUE, dev = "png", col = NULL, badspotfunction = NULL, controlId = c("ID", "Name"), seqId = "SeqID", DEBUG = FALSE, ...)

### Arguments

`mrawObj` | `marrayRaw` or `RGList` object representing the slides to be tested.
`headerInfo` | Text to be used as header in the diagnostic plot.
`save` | Logical. If 'TRUE', the plot is saved to a file.
`dev` | A "character" string naming the graphics device. This will take arguments "png", "jpeg" and "ps" only. By default, dev is set to "png".
`col` | Vector of colors to use to describe different categories of spots.
`badspotfunction` | Function to use for bad spots on the array.
`controlId` | Character string. Name of the column of the gpr file used to define controls (or provides the name of the probes).
`seqId` | A "character" string naming the column of the MEEBO annotation to use to retrieve replicated sequences.
`DEBUG` | If 'TRUE', debug statements are printed.
`...` | additional arguments

### Details

The right panels of the diagnostic plot contain boxplots of the various controls in the set, like positive or negative controls, as set in the marrayRaw of RGlist object. Replicated controls are recognized based on their MEEBO sequence id.

### Author(s)

Agnes Paquet

### See Also

`meeboQuality`, `gpQuality`, `maQualityPlots`,`MeeboSpotTypes`, `controlCodeMeebo`

### Examples

    datadir <- system.file("Meebo", package="arrayQuality")
    if (interactive())
    {
    mraw <- read.GenePix(path=datadir, controlcode=controlCodeMeebo)
    meeboQualityPlots(mraw)
    }

[Package arrayQuality version 1.8.0 Index]